import { ModuleWithProviders, NgModule } from '@angular/core';

import { SERVICES } from './services';

@NgModule({})
export class MemberLevelRootModule {}

@NgModule({})
export class MemberLevelModule {
  public static forRoot(): ModuleWithProviders<MemberLevelRootModule> {
    return {
      ngModule: MemberLevelRootModule,
      providers: [...SERVICES],
    };
  }
}
